Package javassist.compiler.ast

# Class MethodDecl

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.MethodDecl

All Implemented Interfaces:
  `Serializable`

public class MethodDecl extends ASTList

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`initName`

## Constructor Summary

Constructors
Constructor
Description
`MethodDecl(ASTree _head, ASTList _tail)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`Stmnt`
`getBody()`
`ASTList`
`getModifiers()`
`ASTList`
`getParams()`
`Declarator`
`getReturn()`
`ASTList`
`getThrows()`
`boolean`
`isConstructor()`

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### initName

public static final String initName

See Also:
  - Constant Field Values

## Constructor Details

### MethodDecl

public MethodDecl(ASTree _head, ASTList _tail)

## Method Details

### isConstructor

public boolean isConstructor()

### getModifiers

public ASTList getModifiers()

### getReturn

public Declarator getReturn()

### getParams

public ASTList getParams()

### getThrows

public ASTList getThrows()

### getBody

public Stmnt getBody()

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `ASTList`
Throws:
  `javassist.compiler.CompileError`